Skip to contents

# Deparses expression as string, substitutes native pipe and adds assign

Source: `R/helpers.R`
`expression_string.Rd`

Deparses expression as string, substitutes native pipe and adds assign

## Usage

    expression_string(data, assign.str = "")

## Arguments

data

  expression

## Value

string

## Examples

    list(
      as.symbol(paste0("mtcars$", "mpg")),
      rlang::call2(.fn = "select", !!!list(c("cyl", "di  sp")), .ns = "dplyr"),
      rlang::call2(.fn = "default_parsing", .ns = "FreesearchR")
    ) |>
      merge_expression() |>
      expression_string()
    #> [1] "mtcars$mpg |>dplyr::select(c('cyl', 'di  sp')) |>FreesearchR::default_parsing()"